Devices {base} | R Documentation

## List of Graphical Devices

### Description

The following graphics devices are currently available:

- `postscript` Writes PostScript graphics commands to a file
- `pdf` Write PDF graphics commands to a file
- `pictex` Writes LaTeX/PicTeX graphics commands to a file
- `xfig` Device for XFIG graphics file format
- `bitmap` bitmap pseudo-device via `GhostScript` (if available).

The following devices will be available if R was compiled to use them and started with the appropriate `--gui` argument:

- `x11` The graphics driver for the X11 Window system
- `png` PNG bitmap device
- `jpeg` JPEG bitmap device
- `GTK`, `GNOME` Graphics drivers for the GNOME GUI.

None of these are available under `R CMD BATCH`.

### Usage

    x11(...)
    postscript(...)
    pdf(...)
    pictex(...)
    png(...)
    jpeg(...)
    GTK(...)
    GNOME(...)
    xfig(...)
    bitmap(...)

    dev.interactive()

### Value

`dev.interactive()` returns a logical, `TRUE` iff an interactive (screen) device is in use.

### See Also

The individual help files for further information on any of the devices listed here;

`dev.cur`, `dev.print`, `graphics.off`, `image`, `dev2bitmap`.

`capabilities` to see if `x11`, `jpeg` and `png` are available.

[Package Contents]